This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 225548 - bootrecord always written to MBR, when dmraid is installed
bootrecord always written to MBR, when dmraid is installed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
: 225549 225550 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 05:05 EST by Winfrid Tschiedel
Modified: 2009-01-09 02:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:03:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Winfrid Tschiedel 2007-01-31 05:05:28 EST
Description of problem:

Even if during installation write bootrecord to boot-section is selected,
an existing MBR is overwritten.

Version-Release number of selected component (if applicable):
fedora core6 installation dvd


How reproducible:
Always, same error was also seen on rhel 5.


Steps to Reproduce:
1. Install fedora core 6 on a system with SATA Raid.
2. Install a second fedora core 6 on the same system and select
   write bootrecord to bootsection.
3. reboot
  
Actual results:
 
   The second fedora installation will be bootet.


Expected results:

   Boot of the first fedora Installation.
    To get access to 2. installation, you should
    only insert 3 lines in /boot/grub/menu.lst of the 1. installation

title Fedora (2. Installation)
    root (hd0,x)
    chainloader +1 


Additional info:
    similar problems occur on openSUSE 10.2
Comment 1 Johan Kok 2007-02-04 10:33:28 EST
*** Bug 225550 has been marked as a duplicate of this bug. ***
Comment 2 Johan Kok 2007-02-04 10:33:44 EST
*** Bug 225549 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2008-04-04 02:02:12 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Winfrid Tschiedel 2008-04-04 02:55:26 EDT
Please change version to Fedora 8 - because the bug still exists
it is also in rhel-5 update 2 !

Unfortunately I could not test fedora 9 - 
because there is a bug in the installer.
Also unfortunately I cannot open for this an incident -
because I cannot save the traceback information !

Winfrid
Comment 5 Bug Zapper 2008-11-26 02:09:54 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 02:03:45 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.